@import "../../styles/utils/mixins.scss";
@import "../../styles/utils/variables.scss";

:host {
  display: flex;
  justify-content: flex-end;
  width: 100%;
}

.btn {
  cursor: pointer;
  outline: none;
  font-family: "Kanit-Regular";

  &:hover {
    transform: translateY(-1px);
    box-shadow: 0 5px 15px rgba(black, 0.2);

    &::after {
      transform: scaleX(1.4) scaleY(1.6);
      opacity: 0;
    }
  }

  &:active {
    transform: translateY(0px);
  }

  &__primary {
    border: none;
    color: $text-color-light;
    background-color: $brand;
    border-radius: 3px;
    width: 175px;
    height: 35px;

    @media screen and (max-width: $lg) {
      height: 30px;
    }
  }

  &__secondary {
    border: $gray-100 solid 1px;
    color: $text-color-dark;
    background-color: $bg-color;
    width: 100%;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;

    @media screen and (max-width: $xl) {
      font-size: 11px;
    }
    @media screen and (max-width: $lg) {
      font-size: 9px;
      height: 25px;
    }
    @media screen and (max-width: $md) {
      font-size: 7px;
      height: 15px;
    }
  }

  &__accept {
    border: none;
    color: $text-color-light;
    background-color: $accept;
    border-radius: 3px;
    width: 175px;
    height: 35px;

    @media screen and (max-width: $lg) {
      height: 30px;
    }
  }

  &__cancel {
    border: none;
    color: $text-color-light;
    background-color: $cancel;
    border-radius: 3px;
    width: 175px;
    height: 35px;

    @media screen and (max-width: $lg) {
      height: 30px;
    }
  }

  &__close {
    height: 24px;
    width: 24px;
    background-color: transparent;
    border: none;
  }
}
